GET
/api/v1/billing/ledger-statement/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/billing/ledger-statement/?zoho_id=<ZOHO_ID>&filter_type=<FILTER_TYPE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/billing/ledger-statement/", params={"zoho_id": "<ZOHO_ID>", "filter_type": "<FILTER_TYPE>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/billing/ledger-statement/");url.search = new URLSearchParams({ zoho_id: "<ZOHO_ID>", filter_type: "<FILTER_TYPE>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves the ledger statement in HTML format for a specific customer identified by Zoho ID, for the selected time period.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”zoho_id
required
string
Example
183096000000000237Unique Zoho Contact ID of the customer.
filter_type
required
string
Example
current_monthSpecifies which time range of Zoho transaction IDs to fetch.
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Response schema for ledger statement HTML.
Media typeapplication/json
object
code
integer
data
object
contact_name
string
template_type_formatted
string
from_date
string format: date
from_date_formatted
string
contact_id
string
to_date_formatted
string
page_width
string
html_string
Renderable HTML string representing the full ledger statement.
string format: html
errors
object
message
string
Example
{ "code": 200, "data": { "contact_name": "E2E Networks Limited", "template_type_formatted": "Standard", "from_date": "2025-04-01", "from_date_formatted": "01 Apr 2025", "contact_id": "183096000000000237", "to_date_formatted": "30 Apr 2025", "page_width": "8.27in" }, "errors": {}, "message": "Success"}